---
schema_version: "1"
id: 51966c7128f89cfec279a35a22328b72bea6f0f64057a6b233d37340edea227c
title: Publish a Marketing Cloud Next Segment
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/guide/mc-manage-segments/mc-manage-segments-publish/mc-manage-segments-publish.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/guide/mc-manage-segments-publish.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2dbd4b18c63824cea035723e27617fb9cf50f1231fe1ea58318a69dc1c4cb79e
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
# Publish a Marketing Cloud Next Segment

Publish an individual segment using the [Data 360 Segment Publish](https://developer.salesforce.com/docs/atlas.en-us.chatterapi.meta/chatterapi/connect_resources_cdp_ssot_segment_publish.htm) endpoint in Connect API.

## Prerequisite

Before you send a request to Connect API, obtain a bearer token. For more information, see [Connect to REST-based APIs](https://developer.salesforce.com/docs/marketing/mc-connect-apis/mc-connect-apis-rest.md).

## Send the Request

To publish a segment, send a GET request to the `/services/data/{apiVersion}/ssot/segments/SEGMENT_ID/actions/publish` endpoint. Replace `SEGMENT_ID` with the ID of the segment that you want to publish. For additional information and code examples, see [publishSegment](/docs/marketing/marketing-cloud-growth/references/mc-connect-segments?meta=publishSegment).

```
POST /services/data/{apiVersion}/ssot/segments/SEGMENT_ID/actions/publish HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
```

**note:** This POST request doesn’t accept a request body.

If the request is successful, the response body contains information about the request to publish the segment.

```json
{
  "errors": [{}],
  "jobId": "fa7ef500-1385-4892-919e-45e17f78da60",
  "partitionId": "1sg1Q000000Xy2z_af7f1fed-6086-4f4d-9301-a4c7dde7b032",
  "publishStatus": "PUBLISHING",
  "segmentId": "1sg1Q000000Hm2xYAC",
  "success": true
}
```
